from unittest import TestCase

from anonymizer_data.utils import anonymize_pis


class TestAnonymizePIS(TestCase):
    def setUp(self):
        self.pis_fake = [
            "68937232865",
            "689.37232.86-5",
        ]  # for testing only, generated by: www.4devs.com.br/gerador_de_pis_pasep

    def test_anonymize_valid_pis_with_format(self):
        self.assertEqual(anonymize_pis(self.pis_fake[1]), "***.**232.**-*")

    def test_anonymize_valid_pis_without_format(self):
        self.assertEqual(anonymize_pis(self.pis_fake[0]), "********865")

    def test_anonymize_invalid_pis(self):
        self.assertEqual(anonymize_pis("invalid-pis"), "invalid-pis")

    def test_anonymize_short_pis(self):
        self.assertEqual(anonymize_pis("123"), "123")

    def test_anonymize_empty_string(self):
        self.assertEqual(anonymize_pis(""), "")
